curl --location --request POST 'https://api.explo.co/api/update_end_user/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"email": "[email protected]",
"customer_id": 123
}'
{
"success": 1,
"end_user": {
"provided_id": 3,
"email": "[email protected]",
"attributes": "{'name': 'Example', 'header': '<div/>'"
}
}
End User API [Deprecated]
Update End User
POST
/
api
/
update_end_user
/
curl --location --request POST 'https://api.explo.co/api/update_end_user/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"email": "[email protected]",
"customer_id": 123
}'
{
"success": 1,
"end_user": {
"provided_id": 3,
"email": "[email protected]",
"attributes": "{'name': 'Example', 'header': '<div/>'"
}
}
The End User API is now deprecated and has been replaced by the Customer API.
Body
string
required
The ID of the end user you provided in creation
number
required
The ID of the end user group the end user belongs to
string
A new email to associate the end user with
object
A new set of attributes to associate the end user with
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
object
curl --location --request POST 'https://api.explo.co/api/update_end_user/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"email": "[email protected]",
"customer_id": 123
}'
{
"success": 1,
"end_user": {
"provided_id": 3,
"email": "[email protected]",
"attributes": "{'name': 'Example', 'header': '<div/>'"
}
}